aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--VERSION2
-rw-r--r--parcimini.bash8
2 files changed, 5 insertions, 5 deletions
diff --git a/VERSION b/VERSION
index 6e8bf73..17e51c3 100644
--- a/VERSION
+++ b/VERSION
@@ -1 +1 @@
-0.1.0
+0.1.1
diff --git a/parcimini.bash b/parcimini.bash
index 11c7207..b3a2dc4 100644
--- a/parcimini.bash
+++ b/parcimini.bash
@@ -3,8 +3,8 @@ self=parcimini
# Base interval between key retrievals from first arg; default 20 mins
interval=${1:-1200}
-# Check we have gpg2 and shuf, neither of which are POSIX
-hash gpg2 || exit
+# Check we have gpg and shuf, neither of which are POSIX
+hash gpg || exit
hash shuf || exit
# Make a temporary file for the key listings, delete on exit
@@ -13,7 +13,7 @@ list=$(mktemp) || exit
# Define a function to retrieve all keychain fingerprints
key_ids() {
- gpg2 --batch --no-tty --list-keys --with-colons |
+ gpg --batch --no-tty --list-keys --with-colons |
awk 'BEGIN { FS = ":" }
$1 == "pub" { pub = 1 ; next }
$1 == "fpr" && pub { pub = 0 ; key_ids[$(NF-1)]++ }
@@ -42,7 +42,7 @@ while key_ids > "$list" ; do
# Retrieve key
printf >&2 '%s: Retrieving key %s...\n' \
"$self" "$key_id"
- gpg2 --batch --no-tty --recv-key "$key_id"
+ gpg --batch --no-tty --recv-key "$key_id"
done
done